function write_mesh_and_state(xnod,icone,state,fileout,ijob)
%
%      write_mesh_and_state(xnod,icone,state,fileout,ijob);
%
%  escribe la malla y un estado en el archivo "fileout"
%              "fileout".nod
%              "fileout".con
%              "fileout".state
%
%  if ijob = 0 , save all
%     ijob = 1 , only the mesh
%     ijob = 2 , only the state
% 

if nargin < 5 , ijob=0; end

[numel,nen]=size(icone);
[numnp,ndm]=size(xnod);
[numnp2,ndf]=size(state);

task = [1,1];
if ijob ==1, task(2) = 0; end
if ijob ==2, task(1) = 0; end

if ijob==0,
   if numnp~=numnp2, error('write_mesh_and_state length of xnod and state files does not agree'); end
end

if task(1)==1,
format_xnod = [];
for k=1:ndm,
   format_xnod=[format_xnod, '%15.5e'];
end
format_xnod=[format_xnod, '\n'];

format_icone = [];
for k=1:nen,
   format_icone=[format_icone, '%7i'];
end
format_icone=[format_icone, '\n'];

my_fprintf([fileout '.nod'],format_xnod,[xnod]);
my_fprintf([fileout '.con'],format_icone,[icone]);
end

if task(2)==1,
format_state = [];
for k=1:ndf,
   format_state=[format_state, '%15.5e'];
end
format_state=[format_state, '\n'];
my_fprintf([fileout '.state'],format_state,[state]);
end