function Wdot=Ej_2(t,W)
%
%  sistema masa resorte amortiguador de 2 dofs y lineal
%  Ejemplo_2 del apunte Introduccion a Matlab
%
%               Wdot=Ej_2(t,W)
%

global parameters

Ndof = 2;
m = parameters(:,1);
c = parameters(:,2);
k = parameters(:,3);
f = parameters(:,4);
x0 = parameters(:,5);
v0 = parameters(:,6);

K = [k(1)+k(2) , -k(2) ; -k(2) , k(2)];
C = [c(1)+c(2) , -c(2) ; -c(2) , c(2)];

A = [eye(Ndof),zeros(Ndof);
     zeros(Ndof) diag([m(1);m(2)])];
  
B = [zeros(Ndof) , -eye(Ndof) ;
     K ,  C ];
     
F = [zeros(Ndof,1);f];

Wdot = A\(F-B*W);

