function [area] = area_mesh(xnod,icone)
%
%   [area] = area_mesh(xnod,icone)
%

[numnp,ndm]=size(xnod);
[numel,nen]=size(icone);

if ndm ~=2, error(' Only for 2D '); end

a = xnod(icone(:,2),:)-xnod(icone(:,1),:);
b = xnod(icone(:,nen),:)-xnod(icone(:,1),:);

a = [a,0*a(:,1)];
b = [b,0*b(:,1)];

nor = pvec(a,b);

area = nor(:,3)/2;
